//       __ __   ____ ___      JaCo -- extensible Java compiler
//    _ / //  \ / __// _ \     (c) 1998-2003, Matthias Zenger
//  / // //_/\ \\ \__\___/     
//  \___/     \_\\__/          A pure Java interface for Jaco
//
//  [[id: Jaco.java (1160) 22-Feb-03 02:09]]

package org.zenger.jaco.adapt;

import org.zenger.jaco.MAIN;
import org.zenger.jaco.REPORT;
import java.util.Vector;


public class Jaco extends MAIN {
    
    public Jaco() {
        super(null);
    }
    
    public boolean run(String[] args) {
        if ((args == null) || (args.length == 0))
            return true;
        $access();
        return $main(args, null);
    }
    
    public REPORT.LogEntry[] compile(String[] args) {
        if ((args == null) || (args.length == 0))
            return new REPORT.LogEntry[0];
        Vector log = new Vector();
        $access();
        $main(args, log);
        return (REPORT.LogEntry[])log.toArray(
            new REPORT.LogEntry[log.size()]);
    }
    
    public void print(String message) {
        System.out.print(message);
    }
    
    public void println(String message) {
        System.out.println(message);
    }
}
